<?php


class Car_Post_Type{

private $post_type = 'carsalespage';
private $post_label = 'Car Sales Pages';
private $prefix = '_car_sales_pages_';
function __construct() {
	
	add_filter( 'template_include', array($this,"include_car_sales_pages_template"), 1 );
	add_action( "init", array($this,"setup_post_type"));
	add_action( 'init', array($this, 'car_sales_pages_register_shortcodes'));	
	add_action( 'cmb2_init', array($this,'car_sales_pages_register_metabox' ));
	
}

function setup_post_type(){
	register_post_type($this->post_type, array(
       'label' => _x($this->post_label, $this->post_type.' label'), 
       'singular_label' => _x('All '.$this->post_label, $this->post_type.' singular label'), 
       'public' => true, // These will be public
       'publicly_queryable' => true,
       'show_ui' => true, // Show the UI in admin panel
       '_builtin' => false, // This is a custom post type, not a built in post type
       '_edit_link' => 'post.php?post=%d',
       'capability_type' => 'page',
       'hierarchical' => false,
       'rewrite' => array("slug" => $this->post_type), // This is for the permalinks
       //'query_var' => $this->post_type, // This goes to the WP_Query schema
       //'supports' =>array('title', 'editor', 'custom-fields', 'revisions', 'excerpt'),
       'supports' =>array('title', 'author'),
       'add_new' => _x('Add New', 'Event')
       ));
}

/**************************************************
**********************CMB2*************************
*/


/**
 * Hook in and add a demo metabox. Can only happen on the 'cmb2_init' hook.
 */

function car_sales_pages_register_metabox() {

	// Start with an underscore to hide fields from custom fields list
	//$prefix = '_car_salespages_demo_';

	/**
	 * Sample metabox to demonstrate each field type included
	 */



	$cmb2_car_sales_pages = new_cmb2_box( array(
		'id'           => $this->prefix . 'metabox',
		'title'        => __( 'Car Sales Page', 'car-sales-pages' ),
		'object_types'  => array( $this->post_type, )
	) );



	$cmb2_car_sales_pages->add_field( array(
	    'name'    => __( 'Image', 'car-sales-pages' ),
	    'id'   => $this->prefix . 'image',
	    'type'    => 'file',
	    'options' => array(
	        'url' => true, // Hide the text input for the url
	    ),
	    'text'    => array(
	        'add_upload_file_text' => 'Add Image' // Change upload button text. Default: "Add or Upload File"
	    ),
	) );

	$cmb2_car_sales_pages->add_field( array(
		'name'       => __( 'Description', 'car-sales-pages' ),
		'id'         => $this->prefix . 'description',
		'type'       => 'wysiwyg',
		'options' => array(
        'textarea_rows' => 13    
    	)

	) );




	$cmb2_car_sales_pages->add_field( array(
		'name'       => __( 'Engine/Drivetrain', 'car-sales-pages' ),
		'id'         => $this->prefix . 'engine',
		'type'       => 'wysiwyg',
		'options' => array(
        'textarea_rows' => 13    
    	)

	) );


	$cmb2_car_sales_pages->add_field( array(
		'name'       => __( 'Interior', 'car-sales-pages' ),
		'id'         => $this->prefix . 'interior',
		'type'       => 'wysiwyg',
		'options' => array(
        'textarea_rows' => 13    
    	)

	) );


	$cmb2_car_sales_pages->add_field( array(
		'name'       => __( 'Exterior', 'car-sales-pages' ),
		'id'         => $this->prefix . 'exterior',
		'type'       => 'wysiwyg',
		'options' => array(
        'textarea_rows' => 13    
    	)

	) );


	$cmb2_car_sales_pages->add_field( array(
		'name'       => __( 'Safety Features', 'car-sales-pages' ),
		'id'         => $this->prefix . 'safety_features',
		'type'       => 'wysiwyg',
		'options' => array(
        'textarea_rows' => 13    
    	)

	) );



	$cmb2_car_sales_pages->add_field( array(
		'name'       => __( 'Price', 'car-sales-pages' ),
		'id'         => $this->prefix . 'price',
		'type'       => 'text_money',
		'before_field' => ' '

	) );


	$cmb2_car_sales_pages->add_field( array(
		'name'       => __( 'Call to action', 'car-sales-pages' ),
		'id'         => $this->prefix . 'call_to_action',
		'description'=> __('Put your phone number, email, or a call to action button here.','car-sales-pages'),
		'type'       => 'wysiwyg',
		'options' => array(
        'textarea_rows' => 13    
    	)

	) );




}


/************************************************
*******************End CMB2**********************
*/




function car_sales_pages_shortcode($atts){
		extract( shortcode_atts( array(
			'id' => '',
		), $atts ) );
		//$meta_data = get_post_meta( $id, $this->prefix . 'adsense_code', true );
		//$meta_data = get_post_meta($id);
		$dir = plugin_dir_path( __FILE__ );

		
		$background_color = get_post_meta($id, $this->prefix . 'background_color', true);
		$tab1_title = get_post_meta($id, $this->prefix . 'tab1_title', true);
		$tab1_message = get_post_meta($id, $this->prefix . 'tab1_message', true);
		$tab2_title = get_post_meta($id, $this->prefix . 'tab2_title', true);
		$tab2_message = get_post_meta($id, $this->prefix . 'tab2_message', true);
		
		ob_start();
		include $dir.'template/carPagesTemplate.php';
		return ob_get_clean();
}



function car_sales_pages_register_shortcodes(){
		add_shortcode( 'car_sales-pages', array($this,'car_sales_pages_shortcode' ));
	}

function include_car_sales_pages_template( $template_path ) {
	

        if ( is_singular('carsalespage') ) {
        		
            // checks if the file exists in the theme first,
            // otherwise serve the file from the plugin
            if ( $theme_file = locate_template( array ( 'carSalesPagesTemplate.php' ) ) ) {

                $template_path = $theme_file;
            } else {

                $template_path = plugin_dir_path( __FILE__ ) . '/template/carSalesPagesTemplate.php';

            }
        }
    
    return $template_path;

}


}// end car_sales_Post_Type class


new Car_Post_Type();


?>