<?php
/*
Plugin Name: Car Sales Pages
Plugin URI: http://www.thinklandingpages.com
Description: An easy way to place car sales pages on your Wordpress site.
Version: 1.0
Author: Jeff Bullins
Author URI: http://www.thinklandingpages.com
*/

 
// don't call the file directly
if ( !defined( 'ABSPATH' ) ) exit;



class Car_Sales_Pages {


    
    /**
     * Kick off the plugin
     */
    public function __construct() {
    
        $this->includes(); // Load the necessary php files 

        add_action( 'wp_enqueue_scripts', array($this, 'enqueue_styles')); // Load the necessary css files 

        add_action( 'admin_enqueue_scripts', array($this, 'admin_enqueue_styles'));

        register_activation_hook( __FILE__, array($this, 'install') );
    }





    /**
     * Load the necessary files
     *
     * @return void
     */

    function includes() {
          
        require_once dirname( __FILE__ ) . '/library/cmb2/init.php';
        require_once dirname( __FILE__ ) . '/cmb2Settings.php';
        require_once dirname( __FILE__ ) . '/car-post-type.php';
    }




    function install() {
      
    	// register taxonomies/post types on plugin activation
    	$car_post_type = new Car_Post_Type();

    	$car_post_type->setup_post_type();

    	flush_rewrite_rules('false');
    }
	

    function enqueue_styles(){

    	wp_register_style( 'car-css', plugin_dir_url(__FILE__).'css/car.css' );
    	wp_enqueue_style('car-css');
    }


    function admin_enqueue_styles(){

    	wp_register_style( 'car-admin-css', plugin_dir_url(__FILE__).'css/admin-car.css' );
    	wp_enqueue_style('car-admin-css');
    }


}


new Car_Sales_Pages();