<?php
/**
 * Template Name: carSalesPagesTemplate
 */

/** Exit if accessed directly */
if ( ! defined( 'ABSPATH' ) ) exit( 'Cheatin&#8217; uh?' );


  
get_header(); 
  
$settings_menu =  cmb2_get_option('car_sales_pages_options', 'settings_menu');

$settings_colorpicker =  cmb2_get_option('car_sales_pages_options', 'settings_colorpicker');

$background_color = (empty($settings_colorpicker))? '' : 'style="background-color:' . $settings_colorpicker . '"';


$car_image  = get_post_meta( get_the_ID(), '_car_sales_pages_image', true );


class Car_Section{

	static function car_image(){

		$car_image  = get_post_meta( get_the_ID(), '_car_sales_pages_image', true );

		echo empty($car_image)? '' : '<div class="left-column col-one-fourth"><div class="car-image"><img src="' . $car_image . '"></div></div>';

	}

	static function car_description($section_heading){

		$car_description  = get_post_meta( get_the_ID(), '_car_sales_pages_description', true );

		echo empty($car_description)? '' : '<div class="car-description">' . ($section_heading? '<span class="bold car-section-heading">Description</span>' : '') . wpautop($car_description) .'</div>';

	}



	static function car_engine($section_heading){

		$car_engine  = get_post_meta( get_the_ID(), '_car_sales_pages_engine', true );

		echo empty($car_engine)? '' : '<div class="car-engine">' . ($section_heading? '<span class="bold car-section-heading">Engine/Drivetrain</span>' : '') . wpautop($car_engine) .'</div>';

	}


	static function car_interior($section_heading){

		$car_interior  = get_post_meta( get_the_ID(), '_car_sales_pages_interior', true );

		echo empty($car_interior)? '' : '<div class="car-interior">' . ($section_heading? '<span class="bold car-section-heading">Interior</span>' : '') . wpautop($car_interior) .'</div>';

	}


	static function car_exterior($section_heading){

		$car_exterior  = get_post_meta( get_the_ID(), '_car_sales_pages_exterior', true );

		echo empty($car_exterior)? '' : '<div class="car-exterior">' . ($section_heading? '<span class="bold car-section-heading">Exterior</span>' : '') . wpautop($car_exterior) .'</div>';

	}


	static function car_safety_features($section_heading){

		$car_safety_features  = get_post_meta( get_the_ID(), '_car_sales_pages_safety_features', true );

		echo empty($car_safety_features)? '' : '<div class="car-safety-features">' . ($section_heading? '<span class="bold car-section-heading">Safety Features</span>' : '') . wpautop($car_safety_features) .'</div>';

	}

	static function car_price($section_heading){

		$car_price  = get_post_meta( get_the_ID(), '_car_sales_pages_price', true );

		echo empty($car_price)? '' : '<div class="car-price">' . ($section_heading? '<span class="bold car-section-heading">Price</span>' : '') . wpautop($car_price) .'</div>';

	}


	static function car_call_to_action($section_heading){

		$car_call_to_action  = get_post_meta( get_the_ID(), '_car_sales_pages_call_to_action', true );

		echo empty($car_call_to_action)? '' : '<div class="car-call-to-action">' . ($section_heading? '<span class="bold car-section-heading">Call to Action</span>' : '') . wpautop($car_call_to_action) .'</div>';

	}


}

?>


<div id="primary" class="content-area car-content-area wrap">

 
	<div class="car-menu-wrap"  <?php echo $background_color; ?> > 

	        <?php 

	        if (! empty($settings_menu)) {
	            wp_nav_menu( ['menu' => $settings_menu,'container_class' => 'wrap car-menu']);
	            }

	        ?>

	</div>

<h1 class="car-page-title"><?php the_title(); ?></h1>

    <main id="main" class="site-main" role="main">
	    
		<?php Car_Section::car_image(); ?>

	    <div class="<?php  echo empty($car_image) ? 'col-full-width no-image' : 'right-column col-three-fourth' ?>">


		<?php Car_Section::car_description(false); ?>

		<?php Car_Section::car_engine(true); ?>

		<?php Car_Section::car_interior(true); ?>

		<?php Car_Section::car_exterior(true); ?>

		<?php Car_Section::car_safety_features(true); ?>

		<?php Car_Section::car_price(true); ?>

		<?php Car_Section::car_call_to_action(false); ?>


		</div>

    </main><!-- .site-main -->

    <?php get_sidebar(); ?>

</div><!-- .content-area -->

<?php get_footer(); ?>